| Fast DDS Version 3.3.0 Fast DDS

Loading...
Searching...
No Matches
DynamicDataFactory Class Referenceabstract

`#include <DynamicDataFactory.hpp>`

Inheritance diagram for DynamicDataFactory:
[legend]

## Public Types

using | _ref_type = typename traits<DynamicDataFactory>::ref_type

## Public Member Functions

virtual FASTDDS_EXPORTED_API traits< DynamicData >::ref_type | create_data (traits< DynamicType >::ref_type type)=0
| Creates a new DynamicData reference based on the given DynamicType reference.
virtual FASTDDS_EXPORTED_API ReturnCode_t | delete_data (traits< DynamicData >::ref_type &data)=0
| Resets the internal reference if it is cached.

## Static Public Member Functions

static FASTDDS_EXPORTED_API traits< DynamicDataFactory >::ref_type | get_instance ()
| Returns the singleton factory object.
static FASTDDS_EXPORTED_API ReturnCode_t | delete_instance ()
| Resets the singleton reference.

## Protected Member Functions

virtual | ~DynamicDataFactory ()=default

## Member Typedef Documentation

## ◆ _ref_type

using _ref_type = typename traits<DynamicDataFactory>::ref_type

## Constructor & Destructor Documentation

## ◆ ~DynamicDataFactory()

virtual ~DynamicDataFactory | ( |  | ) |

protected virtual default

## Member Function Documentation

## ◆ create_data()

virtual FASTDDS_EXPORTED_API traits< DynamicData >::ref_type create_data | ( | traits< DynamicType >::ref_type | type | ) |

pure virtual

Creates a new DynamicData reference based on the given DynamicType reference.

All objects returned by this operation should eventually be deleted by calling delete_data.

Parameters

  [in] | type | DynamicType reference associated.

Returns
  new DynamicData reference

## ◆ delete_data()

virtual FASTDDS_EXPORTED_API ReturnCode_t delete_data | ( | traits< DynamicData >::ref_type & | data | ) |

pure virtual

Resets the internal reference if it is cached.

Parameters

  [in] | data | DynamicData reference whose internal cached reference to reset.

Returns
  standard ReturnCode_t

Return values

  RETCODE_BAD_PARAMETER | if reference is nil.
  RETCODE_OK | is otherwise returned.

## ◆ delete_instance()

FASTDDS_EXPORTED_API ReturnCode_t delete_instance | ( |  | ) |

static

Resets the singleton reference.

Returns
  ReturnCode_t

Return values

  RETCODE_BAD_PARAMETER | if singleton reference is currently nil.
  RETCODE_OK | otherwise.

## ◆ get_instance()

FASTDDS_EXPORTED_API traits< DynamicDataFactory >::ref_type get_instance | ( |  | ) |

static

Returns the singleton factory object.

Remarks
  This method is non thread-safe.

Returns
  DynamicDataFactory reference.

The documentation for this class was generated from the following file:

- include/fastdds/dds/xtypes/dynamic_types/DynamicDataFactory.hpp